## ros-one-freenect-camera 0.4.3-0jammy.20251023.0306

=== debian/changelog ===
ros-one-freenect-camera (0.4.3-0jammy.20251023.0306) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 23 Oct 2025 03:06:16 +0000

ros-one-freenect-camera (0.4.3-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 23 Oct 2025 03:06:16 -0000

ros-one-freenect-camera (0.4.2-0jammy) jammy; urgency=high

  * add include path for dynamic reconfigure
  * Fixed cmake dependency issue. #28 <https://github.com/ros-drivers/freenect_stack/issues/28>
  * Including log4cxx in CMakefile file. Compilation on OS X fails without this.
  * Contributors: Nick Hawes, Piyush Khandelwal, Tully Foote

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 26 May 2016 00:00:00 -0000

ros-one-freenect-camera (0.4.1-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 27 Feb 2015 00:00:00 -0000

ros-one-freenect-camera (0.4.0-0jammy) jammy; urgency=high

  * Update header file to match libfreenect v0.5.1
  * Contributors: Piyush Khandelwal

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 30 Jan 2015 00:00:00 -0000

ros-one-freenect-camera (0.3.2-0jammy) jammy; urgency=high

  * Add include for log4cxx/logger.h (#10 <https://github.com/ros-drivers/freenect_stack/issues/10>).

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 17 Jan 2014 00:00:00 -0000

ros-one-freenect-camera (0.3.1-0jammy) jammy; urgency=high

  * Add dependency on log4cxx (#10 <https://github.com/ros-drivers/freenect_stack/issues/10>).

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 16 Jan 2014 00:00:00 -0000

ros-one-freenect-camera (0.3.0-0jammy) jammy; urgency=high

  * Added dependency on pluginlib.

 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 19 Aug 2013 00:00:00 -0000

ros-one-freenect-camera (0.2.1-0jammy) jammy; urgency=high

  * bumping version to 0.2.1
  * removed a bit of redundant code
  * if the device times out (aka no streams are produced for 5 seconds after request), then the device streams are flushed again. Repeat flushing typically fixes the problem. This is an experimental fix. closes #3 <https://github.com/ros-drivers/freenect_stack/issues/3>
  * enabled flushing the device streams at the start, which typically fixes the issue of device streams not starting with a cold start. #3 <https://github.com/ros-drivers/freenect_stack/issues/3>
  * the driver no longer acquires the device for the camera motor as that is not used
  * now install the nodelets file to the system package. closes #5 <https://github.com/ros-drivers/freenect_stack/issues/5>
  * fixing header references inside catkin packages for libfreenect (ros-drivers-gbp/libfreenect-release#3 <https://github.com/ros-drivers-gbp/libfreenect-release/issues/3>)
  * install node and nodelet
  * add maintainer, url links
  * clean up library references
  * use catkin version of dynamic parameter generator
  * partial catkin conversion of freenect_camera, still problems
  * fixed a few bugs instroduced while creating diagnostics
  * added diagnostics support to freenect_camera
  * added a debug flag to set the libfreenect log level. might be useful for remote debugging
  * changed header file location to refrain from patching libfreenect internally
  * removed redundant device shutdown call (done by FreenectDriver already)
  * reorganized stack for release

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 21 May 2013 14:53:47 +0000

## ros-one-freenect-camera 0.4.3-0jammy.20260220.2347

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(freenect_camera)
find_package(catkin REQUIRED
             COMPONENTS
             camera_info_manager
             diagnostic_updater
             dynamic_reconfigure
             image_transport
             nodelet
             roscpp
             sensor_msgs
             pluginlib )

# Resolve system dependency on libfreenect, which does not provide a
# CMake find_package() module.
find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBFREENECT REQUIRED libfreenect)
pkg_check_modules(LOG4CXX REQUIRED liblog4cxx)

find_library(LIBFREENECT_LIBRARY
  NAMES freenect
  PATHS ${LIBFREENECT_LIBRARY_DIRS}
)

# auto-generate dynamic reconfiguration GUI before catkin_package()
generate_dynamic_reconfigure_options(cfg/Freenect.cfg)

# resolve boost thread references
find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIR}
                    ${dynamic_reconfigure_PACKAGE_PATH}/cmake/cfgbuild.cmake
                    ${LIBFREENECT_INCLUDE_DIRS}
                    ${LOG4CXX_INCLUDE_DIRS})

# build the node and nodelet
add_executable(freenect_node src/nodes/freenect_node.cpp)
target_link_libraries(freenect_node
                      ${catkin_LIBRARIES}
                      ${LIBFREENECT_LIBRARY}
                      ${Boost_LIBRARY})
add_dependencies(freenect_node ${PROJECT_NAME}_gencfg)

add_library(freenect_nodelet src/nodelets/driver.cpp)
target_link_libraries(freenect_nodelet
                      ${catkin_LIBRARIES}
                      ${LIBFREENECT_LIBRARY}
                      ${Boost_LIBRARY}
                      ${LOG4CXX_LIBRARIES})
add_dependencies(freenect_nodelet ${PROJECT_NAME}_gencfg)

catkin_package(DEPENDS
               libfreenect
               CATKIN_DEPENDS
               camera_info_manager
               diagnostic_updater
               dynamic_reconfigure
               image_transport
               nodelet
               roscpp
               sensor_msgs)

# install the node and nodelet
install(TARGETS freenect_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        COMPONENT main)

install(TARGETS freenect_nodelet
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# add xml file
install(FILES freenect_nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-freenect-camera (0.4.3-0jammy.20260220.2347) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 20 Feb 2026 23:47:49 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-freenect-camera//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-freenect-camera 0.4.3-0noble.20251023.0303

=== debian/changelog ===
ros-one-freenect-camera (0.4.3-0noble.20251023.0303) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 23 Oct 2025 03:03:42 +0000

ros-one-freenect-camera (0.4.3-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 23 Oct 2025 03:03:42 -0000

ros-one-freenect-camera (0.4.2-0noble) noble; urgency=high

  * add include path for dynamic reconfigure
  * Fixed cmake dependency issue. #28 <https://github.com/ros-drivers/freenect_stack/issues/28>
  * Including log4cxx in CMakefile file. Compilation on OS X fails without this.
  * Contributors: Nick Hawes, Piyush Khandelwal, Tully Foote

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 26 May 2016 00:00:00 -0000

ros-one-freenect-camera (0.4.1-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 27 Feb 2015 00:00:00 -0000

ros-one-freenect-camera (0.4.0-0noble) noble; urgency=high

  * Update header file to match libfreenect v0.5.1
  * Contributors: Piyush Khandelwal

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 30 Jan 2015 00:00:00 -0000

ros-one-freenect-camera (0.3.2-0noble) noble; urgency=high

  * Add include for log4cxx/logger.h (#10 <https://github.com/ros-drivers/freenect_stack/issues/10>).

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 17 Jan 2014 00:00:00 -0000

ros-one-freenect-camera (0.3.1-0noble) noble; urgency=high

  * Add dependency on log4cxx (#10 <https://github.com/ros-drivers/freenect_stack/issues/10>).

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 16 Jan 2014 00:00:00 -0000

ros-one-freenect-camera (0.3.0-0noble) noble; urgency=high

  * Added dependency on pluginlib.

 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 19 Aug 2013 00:00:00 -0000

ros-one-freenect-camera (0.2.1-0noble) noble; urgency=high

  * bumping version to 0.2.1
  * removed a bit of redundant code
  * if the device times out (aka no streams are produced for 5 seconds after request), then the device streams are flushed again. Repeat flushing typically fixes the problem. This is an experimental fix. closes #3 <https://github.com/ros-drivers/freenect_stack/issues/3>
  * enabled flushing the device streams at the start, which typically fixes the issue of device streams not starting with a cold start. #3 <https://github.com/ros-drivers/freenect_stack/issues/3>
  * the driver no longer acquires the device for the camera motor as that is not used
  * now install the nodelets file to the system package. closes #5 <https://github.com/ros-drivers/freenect_stack/issues/5>
  * fixing header references inside catkin packages for libfreenect (ros-drivers-gbp/libfreenect-release#3 <https://github.com/ros-drivers-gbp/libfreenect-release/issues/3>)
  * install node and nodelet
  * add maintainer, url links
  * clean up library references
  * use catkin version of dynamic parameter generator
  * partial catkin conversion of freenect_camera, still problems
  * fixed a few bugs instroduced while creating diagnostics
  * added diagnostics support to freenect_camera
  * added a debug flag to set the libfreenect log level. might be useful for remote debugging
  * changed header file location to refrain from patching libfreenect internally
  * removed redundant device shutdown call (done by FreenectDriver already)
  * reorganized stack for release

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 21 May 2013 14:53:47 +0000

## ros-one-freenect-camera 0.4.3-0noble.20260221.0010

=== debian/changelog ===
ros-one-freenect-camera (0.4.3-0noble.20260221.0010) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 21 Feb 2026 00:10:02 +0000

=== debian/control ===
Source: ros-one-freenect-camera
Section: misc
Priority: optional
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libfreenect-dev, liblog4cxx-dev, ros-one-camera-info-manager, ros-one-catkin, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-nodelet, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs
Homepage: http://ros.org/wiki/freenect_camera
Standards-Version: 3.9.2

Package: ros-one-freenect-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfreenect-dev, liblog4cxx-dev, ros-one-camera-info-manager, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-nodelet, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs
Description: A libfreenect-based ROS driver for the Microsoft Kinect.
 This is a port of the OpenNI driver that uses libfreenect instead, because on some systems with some devices it works better.
